Go Down

Topic: cc1: error: unrecognized command line option '-fhonour-copts' (Read 389 times) previous topic - next topic

ulissess

hello,
I'm having this error while I try to install cffi:
   

Processing cffi-1.10.0.tar.gz
    Writing /tmp/easy_install-yfExe4/cffi-1.10.0/setup.cfg
    Running cffi-1.10.0/setup.py -q bdist_egg --dist-dir /tmp/easy_install-yfExe4/cffi-1.10.0/egg-dist-tmp-RrP9HG
    cc1: error: unrecognized command line option '-fhonour-copts'
    cc1: error: unrecognized command line option '-fhonour-copts'
    cc1: error: unrecognized command line option '-fhonour-copts'
    cc1: error: unrecognized command line option '-fhonour-copts'
   
        No working compiler found, or bogus compiler options
        passed to the compiler from Python's distutils module.
        See the error messages above.
        (If they are about -mno-fused-madd and you are on OS/X 10.8,
        see http://stackoverflow.com/questions/22313407/ .)


this is my gcc version:

root@linino:~# mips-openwrt-linux-uclibc-gcc -v
Using built-in specs.
COLLECT_GCC=mips-openwrt-linux-uclibc-gcc
COLLECT_LTO_WRAPPER=/usr/bin/../libexec/gcc/mips-openwrt-linux-uclibc/4.6.2/lto-wrapper
Target: mips-openwrt-linux-uclibc
Configured with: ../yun-gcc-4.6.2/configure --host=mips-openwrt-linux-uclibc --target=mips-openwrt-linux-uclibc --prefix=/home/jenkins/jenkins/jobs/yun-openwrt/workspace/staging_dir/target-mips_r2_uClibc-0.9.33.2/yun-gcc --disable-subdir-texinfo MAKEINFO=missing --disable-decimal-float --disable-libquadmath --disable-lto --disable-libgomp --disable-libmudflap --disable-multilib --disable-nls --with-float=soft --enable-languages=c,c++
Thread model: posix
gcc version 4.6.2 (GCC)

root@linino:~# yun-gcc -v
-ash: yun-gcc: not found
root@linino:~# gcc -v
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/bin/../libexec/gcc/mips-openwrt-linux-uclibc/4.6.2/lto-wrapper
Target: mips-openwrt-linux-uclibc
Configured with: ../yun-gcc-4.6.2/configure --host=mips-openwrt-linux-uclibc --target=mips-openwrt-linux-uclibc --prefix=/home/jenkins/jenkins/jobs/yun-openwrt/workspace/staging_dir/target-mips_r2_uClibc-0.9.33.2/yun-gcc --disable-subdir-texinfo MAKEINFO=missing --disable-decimal-float --disable-libquadmath --disable-lto --disable-libgomp --disable-libmudflap --disable-multilib --disable-nls --with-float=soft --enable-languages=c,c++
Thread model: posix
gcc version 4.6.2 (GCC)



How can I fix it?? thank you



ulissess

I write you in detail the error: thank you very much




root@linino:~# pip install secp256k1
Collecting secp256k1
  Using cached secp256k1-0.13.2.tar.gz
    Complete output from command python setup.py egg_info:
    0.18
    your setuptools is too old (<12)
    setuptools_scm functionality is degraded
    zip_safe flag not set; analyzing archive contents...
   
    Installed /tmp/pip-build-BTIG2x/secp256k1/pytest_runner-2.6.2-py2.7.egg
    Searching for cffi>=1.3.0
    Reading https://pypi.python.org/simple/cffi/
    Best match: cffi 1.10.0
    Downloading https://pypi.python.org/packages/5b/b9/790f8eafcdab455bcd3bd908161f802c9ce5adbf702a83aa7712fcc345b7/cffi-1.10.0.tar.gz#md5=2b5fa41182ed0edaf929a789e602a070
    Processing cffi-1.10.0.tar.gz
    Writing /tmp/easy_install-zPw5fi/cffi-1.10.0/setup.cfg
    Running cffi-1.10.0/setup.py -q bdist_egg --dist-dir /tmp/easy_install-zPw5fi/cffi-1.10.0/egg-dist-tmp-3Qggfo
    compiling '_configtest.c':
    __thread int some_threadlocal_variable_42;
   
    mips-openwrt-linux-uclibc-gcc -fno-strict-aliasing -Os -pipe -mips32r2 -mtune=mips32r2 -fno-caller-saves -fhonour-copts -Wno-error=unused-but-set-variable -msoft-float -DNDEBUG -Os -pipe -mips32r2 -mtune=mips32r2 -fno-caller-saves -fhonour-copts -Wno-error=unused-but-set-variable -msoft-float -fPIC -c _configtest.c -o _configtest.o
    cc1: error: unrecognized command line option '-fhonour-copts'
    cc1: error: unrecognized command line option '-fhonour-copts'
    failure.
    removing: _configtest.c _configtest.o
    compiling '_configtest.c':
    int some_regular_variable_42;
   
    mips-openwrt-linux-uclibc-gcc -fno-strict-aliasing -Os -pipe -mips32r2 -mtune=mips32r2 -fno-caller-saves -fhonour-copts -Wno-error=unused-but-set-variable -msoft-float -DNDEBUG -Os -pipe -mips32r2 -mtune=mips32r2 -fno-caller-saves -fhonour-copts -Wno-error=unused-but-set-variable -msoft-float -fPIC -c _configtest.c -o _configtest.o
    cc1: error: unrecognized command line option '-fhonour-copts'
    cc1: error: unrecognized command line option '-fhonour-copts'
    failure.
    removing: _configtest.c _configtest.o
   
        No working compiler found, or bogus compiler options
        passed to the compiler from Python's distutils module.
        See the error messages above.
        (If they are about -mno-fused-madd and you are on OS/X 10.8,
        see http://stackoverflow.com/questions/22313407/ .)
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/tmp/pip-build-BTIG2x/secp256k1/setup.py", line 295, in <module>
        "Topic :: Security :: Cryptography"
      File "/usr/lib/python2.7/distutils/core.py", line 112, in setup
        _setup_distribution = dist = klass(attrs)
      File "/usr/lib/python2.7/site-packages/setuptools/dist.py", line 239, in __init__
        self.fetch_build_eggs(attrs.pop('setup_requires'))
      File "/usr/lib/python2.7/site-packages/setuptools/dist.py", line 264, in fetch_build_eggs
        replace_conflicting=True
      File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 620, in resolve
        dist = best[req.key] = env.best_match(req, ws, installer)
      File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 858, in best_match
        return self.obtain(req, installer) # try and download/install
      File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 870, in obtain
        return installer(requirement)
      File "/usr/lib/python2.7/site-packages/setuptools/dist.py", line 314, in fetch_build_egg
        return cmd.easy_install(req)
      File "/usr/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 593, in easy_install
        return self.install_item(spec, dist.location, tmpdir, deps)
      File "/usr/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 623, in install_item
        dists = self.install_eggs(spec, download, tmpdir)
      File "/usr/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 811, in install_eggs
        return self.build_and_install(setup_script, setup_base)
      File "/usr/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 1017, in build_and_install
        self.run_setup(setup_script, setup_base, args)
      File "/usr/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 1005, in run_setup
        raise DistutilsError("Setup script exited with %s" % (v.args[0],))
    distutils.errors.DistutilsError: Setup script exited with 1
   
    ----------------------------------------
Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-BTIG2x/secp256k1/


sonnyyu


sonnyyu

Install python-cffi at X86 board ( trunk ):

Code: [Select]
root@OpenWrt:~# opkg install python-cffi
Installing python-cffi (1.8.3-2) to root...
Downloading http://downloads.openwrt.org/snapshots/trunk/x86/generic/packages/packages/python-cffi_1.8.3-2_x86.ipk.
Installing python-pycparser (2.14-4) to root...
Downloading http://downloads.openwrt.org/snapshots/trunk/x86/generic/packages/packages/python-pycparser_2.14-4_x86.ipk.
Installing python-ply (3.9-2) to root...
Downloading http://downloads.openwrt.org/snapshots/trunk/x86/generic/packages/packages/python-ply_3.9-2_x86.ipk.
Configuring python-ply.
Configuring python-pycparser.
Configuring python-cffi.

Go Up